Subject: bug#70653: closed (Re: bug#70653: [PATCH] Support source line location for Python ExceptionGroup)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 04 May 2024 11:54:02 +0000

Your bug report

#70653: [PATCH] Support source line location for Python ExceptionGroup

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70653: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70653
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70653: [PATCH] Support source line location for Python ExceptionGroup
From: Eli Zaretskii <[email-masked]>
To: "shynur ." <[email-masked]>
Cc: [email-masked]
Date: Sat, 04 May 2024 14:53:03 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "shynur ." <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 3 May 2024 11:48:32 +0000
> msip_labels:
> 
> >> Aye.  The new patch is attached.
> >> It contains a corresponding NEWS item.
> >
> > Thanks, but the ChangeLog style list of changes is still missing.
> > Please add them, and then I can install.
> 
> I added them.  Please review.  Thanks.

Thanks, installed on master, and closing the bug.

Please in the future remember to add/update the :version tag when you
modify the default value of a defcustom or a defface.  (I did it for
you this time.)

Subject: [PATCH] Support source line location for Python ExceptionGroup
From: ". shynur" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 29 Apr 2024 16:24:10 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

(This patch is written for Inferior Python mode.)

The original behavior considered only the case of
single exception:

```
Traceback (most recent call last):
  File "<string>", line 17, in __PYTHON_EL_eval
  File "c:/Users/shynur/Desktop/Python/a.py", line 1, in <module>
    raise Exception
Exception
```

In the above example, one can click at the 3rd line to jump
to the corresponding source line.  This patch adds support
for the following case (i.e., the built-in ExceptionGroup):

```
+ Exception Group Traceback (most recent call last):
  |   File "<string>", line 17, in __PYTHON_EL_eval
  |   File "c:/Users/shynur/Desktop/Python/a.py", line 1, in <module>
  |     raise ExceptionGroup("", [Exception()])
  | ExceptionGroup:  (1 sub-exception)
  +-+---------------- 1 ----------------
    | Exception
    +------------------------------------
```

--
shynur